Loading...
Searching...
No Matches
QGpgME::QGpgMEDecryptJob Class Reference
Inheritance diagram for QGpgME::QGpgMEDecryptJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEDecryptJob:
[legend]

## Public Member Functions

| QGpgMEDecryptJob (GpgME::Context *context)
GpgME::Error | start (const QByteArray &cipherText) override
void | start (const std::shared_ptr< QIODevice > &cipherText, const std::shared_ptr< QIODevice > &plainText) override
GpgME::DecryptionResult | exec (const QByteArray &cipherText, QByteArray &plainText) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< DecryptJob, void, std::tuple< GpgME::DecryptionResult, QByteArray, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< DecryptJob, void, std::tuple< GpgME::DecryptionResult, QByteArray, QString, GpgME::Error > >
typedef ThreadedJobMixin< DecryptJob, void, std::tuple< GpgME::DecryptionResult, QByteArray, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::DecryptionResult, QByteArray, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::DecryptJob
void | result (const GpgME::DecryptionResult &result, const QByteArray &plainText, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< DecryptJob, void, std::tuple< GpgME::DecryptionResult, QByteArray, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::DecryptJob
| DecryptJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

GpgME::DecryptionResult QGpgME::QGpgMEDecryptJob::exec | ( | const QByteArray & | cipherText,
|  | QByteArray & | plainText )

override virtual

Implements QGpgME::DecryptJob.

## start() [1/2]

Error QGpgMEDecryptJob::start | ( | const QByteArray & | cipherText | ) |

override virtual

Starts the decryption operation. cipherText is the data to decrypt.

Implements QGpgME::DecryptJob.

## start() [2/2]

void QGpgMEDecryptJob::start | ( | const std::shared_ptr< QIODevice > & | cipherText,
|  | const std::shared_ptr< QIODevice > & | plainText )

override virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

If plainText is non-null, the plaintext is written there. Otherwise, it will be delivered in the second argument of result().

Implements QGpgME::DecryptJob.

The documentation for this class was generated from the following files:

- qgpgmedecryptjob.h
- qgpgmedecryptjob.cpp